local L = LibStub("AceLocale-3.0"):GetLocale("Elephant")
local Elephant = LibStub("AceAddon-3.0"):GetAddon("Elephant")

function Elephant:OnBrokerTooltipShow(tt)
	tt:AddLine(L['maxlogwords'] .. ": |c" .. Elephant:MakeTextHexColor(1.0, 1.0, 1.0) .. Elephant.db.profile.maxlog .. "|r")
	
	if Elephant.db.profile.filters and #Elephant.db.profile.filters > 0 then
		tt:AddLine(" ")
		tt:AddLine(L['activefilters'])
		
		local filter
		for _,filter in pairs(Elephant.db.profile.filters) do
			tt:AddLine("  " .. filter, 1.0, 1.0, 1.0, 1.0)
		end
		
	end
	
	tt:AddLine(" ")
	tt:AddLine(format(L['toggletooltiphint1'], Elephant:MakeTextHexColor(0.93, 0.65, 0.37)) .. ", "
		.. format(L['toggletooltiphint2'], Elephant:MakeTextHexColor(0.93, 0.65, 0.37)) .. ".",
		0.2, 1.0, 0.2, 1.0)
end